@echo off

setlocal

call c:\psi\psivars.cmd
set TARGET_DIR=win32\psi

pushd psi

if exist %TARGET_DIR%\nul rd /s/q %TARGET_DIR%

if "%1" == "quick" goto quick

nmake distclean
rem if errorlevel 1 goto ERROR2

qmake psi.pro
if errorlevel 1 goto ERROR1

:quick
nmake
if errorlevel 1 goto ERROR3

mkdir %TARGET_DIR%
if exist src\release\psi.exe.manifest mt -manifest src\release\psi.exe.manifest -outputresource:src\release\psi.exe;1
if exist src\release\psi.exe copy src\release\psi.exe %TARGET_DIR%\Psi.exe
if exist src\debug\psi.exe.manifest mt -manifest src\debug\psi.exe.manifest -outputresource:src\debug\psi.exe;1
if exist src\debug\psi.exe copy src\debug\psi.exe %TARGET_DIR%\Psi.exe
if exist src\debug\psi.pdb copy src\debug\psi.pdb %TARGET_DIR%\Psi.pdb
xcopy /i /e /q /y certs %TARGET_DIR%\certs\
xcopy /i /e /q /y iconsets %TARGET_DIR%\iconsets\
xcopy /i /e /q /y sound %TARGET_DIR%\sound\
copy COPYING %TARGET_DIR%
win32\tod README %TARGET_DIR%\ReadMe.txt
win32\tod INSTALL %TARGET_DIR%\Install.txt

:buildokay

popd
endlocal

exit /B 0

goto :eof

:ERROR1
echo Error running qmake..  Are you sure you have Qt set up?
goto failed

:ERROR2
echo Clean failed, stopping.
goto failed

:ERROR3
echo Compile failed, stopping.
goto failed

:failed

popd
endlocal

exit /B 1
