@echo off

setlocal

set zip="C:\Program Files\7-Zip\7z.exe" a -bd -r -tzip
set scp="C:\Program Files\putty\PSCP.EXE" -q -C
set ssh="C:\Program Files\putty\PLINK.EXE" -C
set sshhost=rasmussen.co.za
set sshroot=subdomains/norman/httpdocs/dl/psi/

set buildname=%1
set buildrev=%2
set buildtag=%3
set packagepath=%4
set packagefiles=%5
set maxpackages=%6

if "%7" == "noupload" set ssh=rem
if "%7" == "noupload" set scp=rem

rem echo buildname=%buildname%
rem echo buildtag=%buildtag%
rem echo packagepath=%packagepath%
rem echo packagefiles=%packagefiles%
rem echo maxpackages=%maxpackages%

set bdate=%date%
set btime=%time%

for /f "delims=/ tokens=1-3" %%a in ("%bdate%") do set buildstamp=%%a%%b%%c
for /f "delims=:" %%a in ("%btime%") do set /a hour=%%a+100
for /f "delims=:. tokens=1-3" %%a in ("%btime%") do set buildstamp=%buildstamp%%hour:~-2%%%b%%c

set newbuildname=psi-%buildname%-%buildstamp%-%buildrev%-%buildtag%
set namesfile=psi-%buildname%-names-%buildtag%

for %%a in (%0) do set builds=%%~dpabuilds
if not exist "%builds%" md "%builds%"

pushd %packagepath%
%zip% "%builds%\%newbuildname%.zip" %packagefiles% > nul
popd
%scp% "%builds%\%newbuildname%.zip" %sshhost%:%sshroot%
rem echo newbuildname="%newbuildname%"

set count=0
if not exist "%builds%\%namesfile%.bat" goto endif

type "%builds%\%namesfile%.bat" | find /c " " > "%builds%\%namesfile%.count"
for /f %%a in ('type "%builds%\%namesfile%.count"') do set count=%%a
del "%builds%\%namesfile%.count"

rem echo count=%count%

if %count% LSS %maxpackages% goto elif

call "%builds%\%namesfile%.bat"
type "%builds%\%namesfile%.bat" | find /v "%oldbuildname%" > "%builds%\%namesfile%.new.bat"

if exist "%builds%\%oldbuildname%.zip" del "%builds%\%oldbuildname%.zip"
%ssh% %sshhost% rm %sshroot%%oldbuildname%.zip
rem echo oldbuildname="%oldbuildname%"

goto :endif

:elif

type "%builds%\%namesfile%.bat" > "%builds%\%namesfile%.new.bat"

:endif

echo set oldbuildname=%newbuildname%^&goto :eof >> "%builds%\%namesfile%.new.bat"
move "%builds%\%namesfile%.new.bat" "%builds%\%namesfile%.bat"

%ssh% %sshhost% cd %sshroot% ; php -q .builds.php ; ~/private/bin/lsindex

endlocal
